my $expected_version = "0.006007";
print("import: BioX::Seq\n");
use BioX::Seq;

if (defined BioX::Seq->VERSION) {
	my $given_version = BioX::Seq->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq->VERSION . '
');

}
print("import: BioX::Seq::Fetch\n");
use BioX::Seq::Fetch;

if (defined BioX::Seq::Fetch->VERSION) {
	my $given_version = BioX::Seq::Fetch->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Fetch->VERSION . '
');

}
print("import: BioX::Seq::Stream\n");
use BioX::Seq::Stream;

if (defined BioX::Seq::Stream->VERSION) {
	my $given_version = BioX::Seq::Stream->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Stream->VERSION . '
');

}
print("import: BioX::Seq::Stream::FASTA\n");
use BioX::Seq::Stream::FASTA;

if (defined BioX::Seq::Stream::FASTA->VERSION) {
	my $given_version = BioX::Seq::Stream::FASTA->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Stream::FASTA->VERSION . '
');

}
print("import: BioX::Seq::Stream::FASTQ\n");
use BioX::Seq::Stream::FASTQ;

if (defined BioX::Seq::Stream::FASTQ->VERSION) {
	my $given_version = BioX::Seq::Stream::FASTQ->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Stream::FASTQ->VERSION . '
');

}
print("import: BioX::Seq::Stream::TwoBit\n");
use BioX::Seq::Stream::TwoBit;

if (defined BioX::Seq::Stream::TwoBit->VERSION) {
	my $given_version = BioX::Seq::Stream::TwoBit->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Stream::TwoBit->VERSION . '
');

}
print("import: BioX::Seq::Utils\n");
use BioX::Seq::Utils;

if (defined BioX::Seq::Utils->VERSION) {
	my $given_version = BioX::Seq::Utils->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . BioX::Seq::Utils->VERSION . '
');

}
